idea.h File Reference

Classes for the IDEA block cipher. More...

Go to the source code of this file.

## Classes

struct | IDEA_Info
| IDEA block cipher information. More...
class | IDEA
| IDEA block cipher. More...

## Typedefs

typedef IDEA::Encryption | IDEAEncryption
typedef IDEA::Decryption | IDEADecryption

## Detailed Description

Classes for the IDEA block cipher.

Definition in file idea.h.

## Typedef Documentation

## IDEAEncryption

typedef IDEA::Encryption IDEAEncryption

Definition at line 61 of file idea.h.

## IDEADecryption

typedef IDEA::Decryption IDEADecryption

Definition at line 62 of file idea.h.